;;;  cltio-gen.asd --- system definition

;;;  Copyright (C) 2005 by Walter C. Pelissero

;;;  Author: Walter C. Pelissero <walter@pelissero.de>
;;;  Project: Common Lisp Terminal I/O
;;;  $Id: F-5D1E347DE1B41A4501869C25EFD71CC9.asd,v 1.1.1.1 2005/01/18 22:29:11 wcp Exp $

;;; This program is free software; you can redistribute it and/or
;;; modify it under the terms of the GNU General Public License as
;;; published by the Free Software Foundation; either version 2, or (at
;;; your option) any later version.
;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;;; General Public License for more details.
;;; You should have received a copy of the GNU General Public License
;;; along with this program; see the file COPYING.  If not, write to
;;; the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
;;; Boston, MA 02111-1307, USA.

;;;  Commentary:

#+cmu (ext:file-comment "$Id: F-5D1E347DE1B41A4501869C25EFD71CC9.asd,v 1.1.1.1 2005/01/18 22:29:11 wcp Exp $")

#+nil
(error "The feature NIL has been defined.  This has been reserved to comment out sexps.")

#-cmu
(warn "This code hasn't been tested on your Lisp system.")

(defpackage :cltio-gen-system
  (:use :common-lisp :asdf #+asdfa :asdfa)
  (:export #:*cltio-gen-base-directory*))

(in-package :cltio-gen-system)

(defvar *cltio-gen-base-directory*
  (make-pathname :name nil :type nil :version nil
                 :defaults (parse-namestring *load-truename*)))

(defclass inactive-file (static-file) ())
(defmethod source-file-type ((c inactive-file) (s module))
  "lisp")

(defsystem cltio-gen
    :name "CLTIO-GEN"
    :author "Walter C. Pelissero <walter@pelissero.de>"
    :maintainer "Walter C. Pelissero <walter@pelissero.de>"
    ;; :version "0.0"
    :description "Common Lisp Terminal I/O"
    :long-description
    "Foreign function interface generator for the Common Lisp termio library."
    :licence "GPL"
    :depends-on (:uffi :binge)
    :components
    ((:file "ffi-gen")))
